Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1585)

Unified Diff: client/deps/factory/startx.sh

Issue 2975005: Disable power-save/screensaver in X for factory (Closed) Base URL: ssh://git@chromiumos-git/autotest.git
Patch Set: tammo's input on inlining X call to remove need for separate xstart.sh Created 10 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: client/deps/factory/startx.sh
diff --git a/client/deps/factory/startx.sh b/client/deps/factory/startx.sh
index 5a38fa32526794375875e3ea4f96ee20191760c9..d960e4d01c26571fefee0ca11c3ccc04f7ba3497 100755
--- a/client/deps/factory/startx.sh
+++ b/client/deps/factory/startx.sh
@@ -18,7 +18,10 @@ trap user1_handler USR1
MCOOKIE=$(head -c 8 /dev/urandom | openssl md5)
${XAUTH} -q -f ${XAUTH_FILE} add ${DISPLAY} . ${MCOOKIE}
-/sbin/xstart.sh ${XAUTH_FILE} &
+/bin/sh -c "\
+trap '' USR1 TTOU TTIN
+exec /usr/bin/X11/X -nolisten tcp vt01 -auth ${XAUTH_FILE} \
+-s 0 -p 0 -dpms 2> /dev/null" &
while [ -z ${SERVER_READY} ]; do
sleep .1
@@ -27,5 +30,5 @@ done
/sbin/initctl emit factory-ui-started
cat /proc/uptime > /tmp/uptime-x-started
-echo "DISPLAY=${DISPLAY}; export DISPLAY"
-echo "XAUTHORITY=${XAUTH_FILE}; export XAUTHORITY"
+echo "export DISPLAY=${DISPLAY}"
+echo "export XAUTHORITY=${XAUTH_FILE}"
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698